## efte 1.1

=== CMakeLists.txt ===
#
# Build system for eFTE
#
# Copyright (c) 2008, eFTE SF Group (see AUTHORS file)
#
# You may distribute under the terms of either the GNU General Public
# License or the Artistic License, as specified in the README file.
#

cmake_minimum_required(VERSION 2.4)

PROJECT( eFTE )
ADD_SUBDIRECTORY( src )

INSTALL( DIRECTORY config
         DESTINATION share/efte
         FILE_PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
         DIRECTORY_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE
                               WORLD_READ WORLD_EXECUTE
         PATTERN ".svn" EXCLUDE
         PATTERN "*~" EXCLUDE
         PATTERN "config/*" )

INSTALL( FILES AUTHORS Artistic COPYING HISTORY README
         DESTINATION share/doc/efte
         PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )

INSTALL( FILES packaging/shared/efte.desktop
         DESTINATION share/applications
         PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
INSTALL( FILES
         packaging/shared/efte16x16.xpm
         packaging/shared/efte32x32.xpm
         packaging/shared/efte48x48.xpm
         packaging/shared/efte64x64.xpm
         DESTINATION share/pixmaps
         PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )

=== src/CMakeLists.txt ===
#
# Build system for eFTE
#
# Copyright (c) 2008, eFTE SF Group (see AUTHORS file)
#
# You may distribute under the terms of either the GNU General Public
# License or the Artistic License, as specified in the README file.
#

# =============================================================================
#
# OPTION DEFINITIONS
#
# =============================================================================

# Build choices
OPTION( BUILD_X        "Build X version of eFTE" ON )
OPTION( BUILD_CONSOLE  "Build console version of eFTE" ON )

# Optional use flags
OPTION( USE_GPM        "Compile console versions with gpm support" UNKNOWN )
OPTION( USE_LOCALE     "Use normal locale support" ON )
OPTION( USE_XMB        "Use libxmb to draw fonts with locale support" ON)
OPTION( USE_XLOCALE    "Use X11 compiled in support" OFF )
OPTION( USE_XICON      "Use libxicon to supply icons for the X version" ON )
OPTION( USE_XTINIT     "Use XtInitialize on init" OFF )
OPTION( USE_HARD_REMAP "Keyboard remapping by XEFTE" OFF )
OPTION( USE_LOGGING    "Enable trace logging within efte" ON )
OPTION( USE_DEFAULT_CONFIG "Use default config built into efte" ON )

# Setup global options right now platform dependent options will appear later
# more near thier actual use

IF( USE_LOCALE )
  ADD_DEFINITIONS( -DUSE_LOCALE )
ENDIF( USE_LOCALE )
IF( USE_XLOCALE )
  ADD_DEFINITIONS( -DX_LOCALE )
ENDIF( USE_XLOCALE )
IF( NOT USE_LOGGING )
  ADD_DEFINITIONS( -DFTE_NO_LOGGING )
ENDIF( NOT USE_LOGGING )
IF( USE_GPM )
  ADD_DEFINITIONS( -DUSE_GPM )
ENDIF( USE_GPM )

# =============================================================================
#
# SOURCE FILES
#
# =============================================================================

SET( BASE_FTE_SOURCES
  cfte.cpp c_bind.cpp c_color.cpp c_config.cpp c_desktop.cpp c_hilit.cpp c_history.cpp
  c_mode.cpp commands.cpp e_block.cpp e_buffer.cpp e_cmds.cpp e_cvslog.cpp
  e_file.cpp e_fold.cpp e_line.cpp e_loadsave.cpp e_mark.cpp e_print.cpp
  e_redraw.cpp e_regex.cpp e_search.cpp e_svnlog.cpp e_tags.cpp e_trans.cpp
  e_undo.cpp egui.cpp fte.cpp g_draw.cpp g_menu.cpp gui.cpp h_ada.cpp
  h_c.cpp h_catbs.cpp h_fte.cpp h_ipf.cpp h_make.cpp h_msg.cpp
  h_pascal.cpp h_perl.cpp h_plain.cpp h_rexx.cpp h_sh.cpp h_simple.cpp
  h_tex.cpp i_ascii.cpp i_choice.cpp i_complete.cpp i_input.cpp i_key.cpp
  i_modelview.cpp i_oview.cpp i_search.cpp i_view.cpp indent.cpp log.cpp
  o_buffer.cpp o_buflist.cpp o_cvs.cpp o_cvsbase.cpp o_cvsdiff.cpp o_directory.cpp
  o_list.cpp o_messages.cpp o_model.cpp o_modemap.cpp o_routine.cpp o_svn.cpp
  o_svnbase.cpp o_svndiff.cpp s_direct.cpp s_files.cpp s_string.cpp
  s_util.cpp view.cpp ${CMAKE_CURRENT_BINARY_DIR}/defcfg.h )
SET( UNIX_SOURCES e_unix.cpp memicmp.cpp )
SET( XFTE_SOURCES clip_x11.cpp con_i18n.cpp con_x11.cpp g_nodlg.cpp g_text.cpp
  menu_text.cpp )
SET( NFTE_SOURCES clip_no.cpp con_ncurses.cpp g_nodlg.cpp g_text.cpp g_unix_pipe.cpp
  menu_text.cpp )
SET( VFTE_SOURCES clip_no.cpp con_linux.cpp g_nodlg.cpp g_text.cpp menu_text.cpp )
SET( WFTE_SOURCES clip_os2.cpp con_nt.cpp e_win32.cpp g_nodlg.cpp g_text.cpp
  menu_text.cpp ftewin32.rc )

# =============================================================================
#
# PLATFORM SETUP
#
# =============================================================================

SET( SYSTEM_LIBS "" )

IF( UNIX AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin" )
  SET( OSX 1 )
ENDIF( UNIX AND ${CMAKE_SYSTEM_NAME} MATCHES "Darwin" )

IF( CMAKE_COMPILER_IS_GNUCC )
  SET( CMAKE_CXX_FLAGS "-pedantic -Wall -Wno-long-long -Wpointer-arith -Wconversion -Wwrite-strings -Winline -fno-rtti -fno-exceptions" )
ENDIF( CMAKE_COMPILER_IS_GNUCC )

IF( CMAKE_SYSTEM_NAME MATCHES "HP/UX" )
  ADD_DEFINITIONS( -DHPUX -D_HPUX_SOURCE -DCAST_FD_SET_INT )
ENDIF( CMAKE_SYSTEM_NAME MATCHES "HP/UX" )
IF( CMAKE_SYSTEM_NAME MATCHES "AIX" )
  ADD_DEFINITIONS( -DAIX -D_BSD_INCLUDES -DNO_NEW_CPP_FEATURES )
ENDIF( CMAKE_SYSTEM_NAME MATCHES "AIX" )
IF( CMAKE_SYSTEM_NAME MATCHES "Irix" )
  ADD_DEFINITIONS( -DIRIX -DNO_NEW_CPP_FEATURES )
  SET( CMAKE_CXX_FLAGS "-OPT:Olimit=3000" ) # -xc++
ENDIF( CMAKE_SYSTEM_NAME MATCHES "Irix" )
IF( CMAKE_SYSTEM_NAME MATCHES "SunOS" ) # Solaris
  ADD_DEFINITIONS( -DSUNOS -DNO_NEW_CPP_FEATURES )
ENDIF( CMAKE_SYSTEM_NAME MATCHES "SunOS" )
IF( CMAKE_SYSTEM_NAME MATCHES "SCO" )
  ADD_DEFINITIONS( -DSCO )
  SET( CMAKE_CXX_FLAGS "-b elf" )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} socket )
ENDIF( CMAKE_SYSTEM_NAME MATCHES "SCO" )
IF( CMAKE_SYSTEM_NAME MATCHES "NCR" )
  ADD_DEFINITIONS( -DNCR )
  SET( CMAKE_CXX_FLAGS "-w3" )
  SET( SYSTEM_LIBS ${SYSTEM_LIBS} socket nsl c ucb )
ENDIF( CMAKE_SYSTEM_NAME MATCHES "NCR" )

IF( WIN32 )
  IF( BORLAND )
    ADD_DEFINITIONS( -DBCPP )
  ENDIF( BORLAND )

  IF( CYGWIN )
  ENDIF( CYGWIN)

  IF( MINGW )
  ENDIF( MINGW)

  IF( MSVC )
    ADD_DEFINITIONS( -D_CRT_NONSTDC_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DMSVC )
  ENDIF( MSVC )

  IF( WATCOM )
  ENDIF( WATCOM )
ENDIF( WIN32 )

CONFIGURE_FILE(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

INCLUDE_DIRECTORIES("${CMAKE_CURRENT_BINARY_DIR}")

# =============================================================================
#
# PLATFORM INDEPENDENT BUILDS
#
# =============================================================================

ADD_LIBRARY( eftebase STATIC ${BASE_FTE_SOURCES} )

ADD_EXECUTABLE( bin2c bin2c.cpp )
GET_TARGET_PROPERTY( BIN2C_EXE bin2c LOCATION )

# =====
#
# Binary config compiler that will soon disappear
#
# =====

ADD_CUSTOM_COMMAND(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/defcfg.h
  COMMAND ${BIN2C_EXE} ${CMAKE_CURRENT_SOURCE_DIR}/simple.fte > ${CMAKE_CURRENT_BINARY_DIR}/defcfg.h
  DEPENDS bin2c simple.fte )

# =============================================================================
#
# PLATFORM SPECIFIC BUILDS
#
# =============================================================================

IF( UNIX )
  IF( USE_XMB )
    ADD_DEFINITIONS( -DUSE_XMB )
  ENDIF( USE_XMB)

  IF( USE_XICON )
    ADD_DEFINITIONS( -DUSE_XICON )
  ENDIF( USE_XICON )

  ADD_DEFINITIONS( -DUNIX )
  IF( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )
    ADD_DEFINITIONS( -DLINUX )
    SET( LINUX ON )
  ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES "Linux" )

  IF( BUILD_X )
    INCLUDE(FindX11)
    IF( X11_LIBRARIES )
      MESSAGE( STATUS "X11 found on system, X11 enabled efte will be built" )
      INCLUDE_DIRECTORIES( ${X11_INCLUDE_DIR} )
      ADD_EXECUTABLE( efte ${UNIX_SOURCES} ${XFTE_SOURCES} )

      FIND_LIBRARY( XPM_LIBRARY Xpm )
      IF( NOT XPM_LIBRARY )
        MESSAGE( SEND_ERROR "Could not find Xpm library which is required for X11 version" )
      ENDIF( NOT XPM_LIBRARY )
      TARGET_LINK_LIBRARIES( efte eftebase ${X11_LIBRARIES} ${XPM_LIBRARY} ${SYSTEM_LIBS} )
      INSTALL( TARGETS efte RUNTIME DESTINATION bin )
    ELSE( X11_LIBRARIES )
      MESSAGE( STATUS "X11 not found, X11 enabled efte will not be built" )
    ENDIF( X11_LIBRARIES )
  ENDIF( BUILD_X )

  IF( BUILD_CONSOLE )
    IF( USE_GPM )
      FIND_LIBRARY( FOUND_GPM_LIBRARY gpm )
      IF( FOUND_GPM_LIBRARY )
        SET( GPM_LIBRARY ${FOUND_GPM_LIBRARY} )
      ELSE( FOUND_GPM_LIBRARY )
        MESSAGE( SEND_ERROR "Could not find gpm library" )
        MESSAGE( SEND_ERROR "Please install or disable the use of gpm:" )
        MESSAGE( SEND_ERROR "Add: -DUSE_GPM=OFF to your cmake command line" )
      ENDIF( FOUND_GPM_LIBRARY )
    ELSE( USE_GPM )
      SET( GPM_LIBRARY "" )
    ENDIF( USE_GPM )

    INCLUDE(FindCurses)
    IF( CURSES_LIBRARY )
      MESSAGE( STATUS "Curses found on system, nefte will be built" )

      ADD_EXECUTABLE( nefte ${UNIX_SOURCES} ${NFTE_SOURCES} )
      TARGET_LINK_LIBRARIES( nefte eftebase ${CURSES_LIBRARY} ${GPM_LIBRARY} ${SYSTEM_LIBS} )
      INSTALL( TARGETS nefte RUNTIME DESTINATION bin )
    ELSE( CURSES_LIBRARY )
      MESSAGE( SEND_ERROR "Could not find curses library" )
      MESSAGE( SEND_ERROR "Please install or disable building a console version:" )
      MESSAGE( SEND_ERROR "Add: -DBUILD_CONSOLE=OFF to your cmake command line" )
    ENDIF( CURSES_LIBRARY )

    IF( LINUX )
      MESSAGE( STATUS "Using Linux, vefte will be build" )
      ADD_EXECUTABLE( vefte ${UNIX_SOURCES} ${VFTE_SOURCES} )
      TARGET_LINK_LIBRARIES( vefte eftebase ${GPM_LIBRARY} ${SYSTEM_LIBS} )
      INSTALL( TARGETS vefte RUNTIME DESTINATION bin )
    ENDIF( LINUX )
  ENDIF( BUILD_CONSOLE )
ELSEIF( WIN32 )
  ADD_DEFINITIONS( -DNT -DNTCONSOLE -DWIN32 -D_CONSOLE )
  ADD_EXECUTABLE( efte ${CMAKE_CURRENT_BINARY_DIR}/defcfg.h ${WFTE_SOURCES} )
  TARGET_LINK_LIBRARIES( efte eftebase ${SYSTEM_LIBS} )
ENDIF( UNIX )

# =============================================================================
#
# PLATFORM INDEPENDENT BUILDS
#
# =============================================================================

=== src/Makefile ===
# Makefile
#
# Copyright (c) 2008, eFTE SF Group (see AUTHORS file)
#
# You may distribute under the terms of either the GNU General Public
# License or the Artistic License, as specified in the README file.
#

UNAME=$(shell uname -s)
ifndef $(TARGETS)
	TARGETS=efte nefte
	ifeq ($(UNAME),Linux)
		TARGETS := $(TARGETS) vefte
	endif
endif

# =============================================================================
#
# System Options
#
# =============================================================================

# NOTE: Unix does not have stricmp, however, in sysdeps.h it is mapped to
# strcasecmp which unix does have., thus stricmp is a valid function name
ifndef $(X11_PATH)
	X11_PATH=/usr/X11R6
endif

ifndef $(PREFIX)
	PREFIX=/usr/local
endif

DEFINES=-DUNIX -DHAVE_STRICMP
CXXFLAGS=$(DEBUG) -Wall -Wno-long-long -pedantic -I$(X11_PATH)/include
SYSTEM_LIBS=
BASE_LIBS=-lstdc++
EFTE_LIBS=-L$(X11_PATH)/lib -lX11 -lXpm
NEFTE_LIBS=
VEFTE_LIBS=

# System specific flags
ifeq ($(UNAME),Linux)
	DEFINES := $(DEFINES) -DLINUX
	ifndef $(USE_GPM)
		USE_GPM=1
	endif
endif
ifeq ($(UNAME),Darwin)
	DEFINES += -DDARWIN
endif
ifeq ($(UNAME),"HP/UX")
	DEFINES += -DHPUX -D_HPUX_SOURCE -DCASE_FD_SET_INT
endif
ifeq ($(UNAME),AIX)
	DEFINES += -DAIX -D_BSD_INCLUDES -DNO_NEW_CPP_FEATURES
endif
ifeq ($(UNAME),Irix)
	DEFINES += -DIRIX -DNO_NEW_CPP_FEATURES
	CXXFLAGS += -OPT:Olimit=3000   # -xc++
endif
ifeq ($(UNAME),SunOS)
	DEFINES += -DSUNOS -DNO_NEW_CPP_FEATURES
endif
ifeq ($(UNAME),SCO)
	DEFINES += -DSCO
	CXXFLAGS += -b elf
	SYSTEM_LIBS += -lsocket
endif
ifeq ($(UNAME),NCR)
	DEFINES += -DNCR
	CXXFLAGS += -w3
	SYSTEM_LIBS += -lsocket -lnsl -lc -lucb
endif

# Defaults
ifneq ($(USE_LOCALE),0)
	DEFINES += -DUSE_LOCALE
endif
ifneq ($(USE_LOGGING),0)
	DEFINES += -DUSE_LOGGING
endif
ifneq ($(USE_XMB),0)
	DEFINES += -DUSE_XMB
endif
ifneq ($(USE_XICON),0)
	DEFINES += -DUSE_XICON
endif

# Optionals
ifeq ($(USE_XLOCALE),1)
	DEFINES += -DUSE_XLOCALE
endif
ifeq ($(USE_XTINIT),1)
	DEFINES += -DUSE_XTINIT
endif
ifeq ($(USE_HARD_REMAP),1)
	DEFINES += -DUSE_HARD_REMAP
endif
ifeq ($(USE_GPM),1)
	DEFINES += -DUSE_GPM
	NEFTE_LIBS += -lgpm
	VEFTE_LIBS += -lgpm
endif
ifdef $(CURSES)
	NEFTE_LIBS += -l$(CURSES)
else
	NEFTE_LIBS += -lncurses
endif

#
# Compiler Setup
#

OEXT=o
include objs.inc

CXXFLAGS += $(DEFINES)
CXXFLAGS += -g
CXXFLAGS += -fomit-frame-pointer
#CXXFLAGS += -fsched2-use-traces


# =============================================================================
#
# Targets
#
# =============================================================================

all: bin2c defcfg.h $(TARGETS)

include .depend.mak

nefte-setup:
	@echo "nefte       :" $(NEFTE_LIBS)

vefte-setup:
	@echo "vefte       :" $(VEFTE_LIBS)

efte-setup:
	@echo "efte        :" $(EFTE_LIBS)

basesetup:
	@echo "System name :" $(UNAME)
	@echo "Targets     :" $(TARGETS)
	@echo "Compiler    :" $(CXX)
	@echo "CXX Flag    :" $(CXXFLAGS)
	@echo "System Libs :" $(SYSTEM_LIBS)

setup: basesetup $(TARGETS:=-setup)

clean:
	rm -f *.o .depend.mak

cleanall:
	rm -f efte nefte vefte bin2c defcfg.h config.h .depend.mak

help:
	@echo ""
	@echo "A simple ''make'' in most situations will work. This makefile, However,"
	@echo "has been setup to enable you to turn many options on and off by command"
	@echo "line switches."
	@echo
	@echo "To use a switch: make SWITCH=VALUE"
	@echo
	@echo "Switches:"
	@echo "  USE_GPM=0/1        Enable console mouse support via GPM"
	@echo "  USE_LOCALE=0/1     Use normal locale support"
	@echo "  USE_XLOCALE=0/1    Use X11 compiled in locale support"
	@echo "  USE_XICON=0/1      Use libxicon to supply icons for the X version"
	@echo "  USE_XTINIT=0/1     Use XtInitialize on init"
	@echo "  USE_XMB=0/1        Use libxmb to draw fonts with locale support"
	@echo "  USE_LOGGING=0/1    Enable trace logging within eFTE"
	@echo "  USE_HARD_REMAP=0/1 Keyboard remapping by eFTE"
	@echo "  CURSES=libname     Specify an alternate curses library"
	@echo "  X11_PATH=basepath  Specify location of X11 installation"
	@echo
	@echo "Defaults:"
	@echo "  Enabled   : USE_LOCALE, USE_LOGGING, USE_XMB, USE_XICON"
	@echo "  Disabled  : USE_XLOCALE, USE_XTINIT, USE_HARD_REMAP"
	@echo "  Curses    : ncurses"
	@echo "  X11 Path  : /usr/X11R6"
	@echo
	@echo "Smart defaults:"
	@echo "  Linux     : USE_GPM=1"
	@echo "  Non-Linux : USE_GPM=0"
	@echo
	@echo "Notes:"
	@echo "  If for your system, you find that you have to change the defaults"
	@echo "  in order to compile (not just for personal preference), please"
	@echo "  help us make eFTE that much better for all and submit a bug"
	@echo "  report to: http://sourceforge.net/projects/efte"
	@echo
	@echo "Individual target names:"
	@echo "  help      - Display this help message"
	@echo "  setup     - Display the setup that will be used to build"
	@echo "  all       - Build all binaries known to work on $(UNAME)"
	@echo "  efte      - Build the X11 version"
	@echo "  nefte     - Curses/NCurses version"
	@echo "  vefte     - Linux virtual console version"
	@echo "  clean     - Clean temporary build files"
	@echo "  cleanall  - Clean everything including built binaries"
	@echo "  install   - Install eFTE"
	@echo "  uninstall - Uninstall eFTE"
	@echo

bin2c: bin2c.cpp
	$(CXX) $(DEFINES) -o $@ $<

defcfg.h: bin2c simple.fte
	./bin2c simple.fte > defcfg.h

config.h:
	sed s%\$$\{CMAKE_INSTALL_PREFIX\}%$(PREFIX)%g < config.h.in > config.h

install: $(TARGETS)
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 $(TARGETS) $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/doc
	install -d $(DESTDIR)$(PREFIX)/share/doc/efte
	install -m 644 ../README ../COPYING ../Artistic ../HISTORY ../AUTHORS $(DESTDIR)$(PREFIX)/share/doc/efte
	install -d $(DESTDIR)$(PREFIX)/share/efte
	install -d $(DESTDIR)$(PREFIX)/share/efte/config
	cp -a ../config/* $(DESTDIR)$(PREFIX)/share/efte/config

efte: config.h defcfg.h $(OBJS) $(XOBJS)
	$(CXX) -o efte $(OBJS) $(XOBJS) $(EFTE_LIBS)

nefte: config.h defcfg.h $(OBJS) $(NOBJS)
	$(CXX) -o nefte $(OBJS) $(NOBJS) $(NEFTE_LIBS)

vefte: config.h defcfg.h $(OBJS) $(VOBJS)
	$(CXX) -o vefte $(OBJS) $(VOBJS) $(VEFTE_LIBS)

.cpp.$(OEXT):
	$(CXX) $(CXXFLAGS) -o $@ -c $<

.depend.mak: Makefile
	which g++ 2>/dev/null >/dev/null && for f in $(addsuffix .cpp,$(basename $(OBJS) $(XOBJS) $(NOBJS) $(VOBJS) )) ; do \
		g++ $(CXXFLAGS) -MM "$$f" >> "$@" 2>/dev/null ; done || touch "$@"

=== debian/changelog ===
efte (1.1-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:33:24 +0100

efte (1.1-3) unstable; urgency=medium

  * QA upload.
  * Refresh packaging:
    + Bump Standards-Version to 4.5.1.
    + Bump debhelper compat to v13.
  * debian/rules: Migrate to dh sequencer. (Closes: #928900)
  * debian/copyright: Rewrite in machine-readable format.
  * debian/patches/0002-cmake-cxxflags: Properly append cmake flags.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Apr 2021 23:52:58 -0400

efte (1.1-2) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Use default build flags. Pass LDFLAGS to cmake.
  * Add missing targets to debian/rules: build-{arch,indep}.
  * Bump Standards-Version to 3.9.5.
  * Explicitly exclude HISTORY file when calling dh_installchangelogs to avoid
    shipping it twice.
  * Debhelper compatibility level set to 9.

 -- Emanuele Rocca <ema@debian.org>  Sat, 22 Mar 2014 16:18:29 +0100

efte (1.1-1) unstable; urgency=low

  * Initial release (Closes: #506757)

 -- Xavier Oswald <xoswald@debian.org>  Sun, 23 Aug 2009 20:41:07 +0200

=== debian/control ===
Source: efte
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libncurses-dev,
 libxpm-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/lanurmi/efte
Vcs-Git: https://salsa.debian.org/debian/efte.git
Vcs-Browser: https://salsa.debian.org/debian/efte

Package: efte
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Advanced lightweight configurable editor
 eFTE is an advanced programmers editor with goals of being lightweight, yet
 totally configurable.  Support for user defined programming languages, menu
 systems and key bindings are provided with many common defaults already
 defined.
 .
 eFTE is still a new project, however, extended from the FTE editor which was
 first released in 1995, so eFTE is tried and true with many features for the
 programmer/text editor.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/default.mk

%:
	dh $@

execute_after_dh_auto_install-arch:
	$(RM) $(CURDIR)/debian/efte/usr/share/doc/efte/COPYING
	$(RM) $(CURDIR)/debian/efte/usr/share/doc/efte/Artistic

=== debian/watch ===
version=3
http://sf.net/efte/efte-(.*)\.tar\.gz
